Subject: Re: Summer of Code project ideas

From: Jakub Narebski <[email-masked]>
Date: Fri, 25 Mar 2011 14:02:14 +0100

On Fri, 25 Mar 2011, Pat Thoyts wrote:
> Jakub Narebski <[email-masked]> writes:

> > A few project ideas I am not sure if they are feasible for GSoC:

> > * embedding graphical diff and graphical merge tool in git-gui, e.g. as
> >   "git gui diff".  I think that we can use xxdiff; the license is 
> >   compatibile.
> >
> >   Pat and Shawn, is it something worth doing?  Does it look like a good
> >   project for GSoC2011, or is it too small of a project for this?  Would
> >   we be able to find mentor for this idea?
> 
> There is also tkdiff for stealing from. I'm not sure about the worth -
> there are lots of free merge tools around. But if someone wants to do
> that then fine.

I meant TkDiff, not xxdiff here; I'm sorry for the mistake.

TkDiff has the advantage that is already written in Tcl/Tk, so we can
borrow code (like e.g. "refining" diff), not only algorithms.

> > * splitting gitk, common library (Tcl/Tk bindings) for gitk and git-gui
> >
> >   Pat and Paul, do you think it is right scope, or is it too large project
> >   to put as an GSoC idea?
> 
> It shouldn't be too large. You are likely looking at doing Git.pm as a
> Tcl package (without looking in much detail). Testing that gitk and
> git-gui didn't get broken will probably be tedious. So adding some test
> suite to each could help. The Tcl test package is quite capable of being
> used to test Tk apps provided some tests get written.

I thought that would be mainly re-using library part of git-gui in gitk;
tests are decidely a good idea, though I don't know if there are ready
tools to do tests for programs written in Tcl/Tk , and for testing UI.

-- 
Jakub Narebski
Poland